### Method

# Foundry ProcessLauncher spawn

#### Declaration [src]

    GSubprocess*
    foundry_process_launcher_spawn (
      FoundryProcessLauncher* self
      GError** error
    )

#### Description [src]

Spawns the run command.

If there is a failure to build the command into a subprocess launcher, then `NULL` is returned and `error` is set.

If the subprocess fails to launch, then `NULL` is returned and `error` is set.

#### Return value

Type: `GSubprocess`

An `GSubprocess` if successful; otherwise `NULL` and `error` is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.